Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1267472 - dialog hampering paste to multiple rows in oocalc 4.4.5.2-6
Summary: dialog hampering paste to multiple rows in oocalc 4.4.5.2-6
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-30 06:59 UTC by vikram goyal
Modified: 2015-10-05 09:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-05 09:11:24 UTC
Type: Bug


Attachments (Terms of Use)
Screen shot of subsequent dialog of copy & paste in multiple rows in oocalc (206.00 KB, image/png)
2015-09-30 06:59 UTC, vikram goyal
no flags Details
another screen shot of dialog box (229.51 KB, image/png)
2015-09-30 07:13 UTC, vikram goyal
no flags Details

Description vikram goyal 2015-09-30 06:59:08 UTC
Created attachment 1078545 [details]
Screen shot of subsequent dialog of copy & paste in multiple rows in oocalc

Description of problem:
It was normal till now but without any warning copy some value & pasting in multiple rows opens a question dialog instead of simply pasting in the rows.

Copying & pasting in single row works as usual.

This is proving to be a real problem & hampering work.

I have not changed any configuration that I remember.

Version-Release number of selected component (if applicable):
libreoffice-calc.x86_64                  1:4.4.5.2-6.fc22

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Please find a screen shot.
Thanks.

Comment 1 vikram goyal 2015-09-30 07:13:49 UTC
Created attachment 1078547 [details]
another screen shot of dialog box

Comment 2 vikram goyal 2015-09-30 07:15:13 UTC
I just came across a new issue.

If I copy from a cell & paste to another cell but select paste-special & select Format only it pastes the format in single cell. Pasting this way into multiple cell opens a dialog - screen shot attached.

Also if I paste special in one cell then it is OK but subsequent paste in another cell opens a dialog box as above.

This is XFCE4. I deleted the through rm -rf .config/libreoffice

& tested again. The issue was still there. Also if I copy & paste special -> formats to another cell but cancel the operation & do it again, all's OK but If I copy formats to another cell & then select a different cell for pasting formats the dialog box appears.

Thanks

Comment 3 Caolan McNamara 2015-10-01 13:57:13 UTC
That dialog appears when trying to paste "plain text" into calc. Calc doesn't offer just plain text to itself when copying from calc to calc. I suspect you have some clipboard application running which is copying the selection as plain text from calc when something is selected and then taking over the selection and offering plain text back to calc on paste.

I mean normally its calc->calc, and I think you've got calc->something->calc.

What's that clipboard icon in the top right of your screenshot ?

Comment 4 vikram goyal 2015-10-03 08:06:57 UTC
You were right. The app was ClipIt version 1.4.2. Normally, I use KDE but switched to XFCE & this thing happened. So I think the bug should be filed against ClipIt as it is interfering with calc. 

I tested it with quitting ClipIt & did the same copy -> paste operations in calc without any issue. Again started ClipIt from a term & tried, the issues came up.

The new bug against ClipIt is https://bugzilla.redhat.com/show_bug.cgi?id=1268588

Thanks.


Note You need to log in before you can comment on or make changes to this bug.